package gui;

import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class Viewer extends JFrame {
    
    
    public Viewer(File f) {
        super(f.getName());
                
        setSize(Toolkit.getDefaultToolkit().getScreenSize());
        setLocationRelativeTo(null);
        setAlwaysOnTop(true);
        
        setLayout(new GridLayout(1,1));
        add(Wokno.createPrev(f,-1,0));
        
        validate();
        addListener();
    }
    
    private void addListener() {
        this.addMouseListener(new MouseAdapter() {
           public void mouseClicked(MouseEvent ev) {
               if (ev.getClickCount()==2) dispose();
           } 
        });
    }
    
}
