package gui;

import java.io.File;
import java.util.ArrayList;
import javax.swing.event.TreeModelListener;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

public class MyTreeModel extends DefaultTreeModel {
    
    private Wokno okno;
    
    public MyTreeModel(Wokno okno) {
        super(new DefaultMutableTreeNode("C:\\"));
        this.okno=okno;
    }

    private ArrayList<File> getFolders(File[] files) {
        ArrayList<File> folders=new ArrayList<File>();
        if (files==null) return folders;
        for (int i=0;i<files.length;i++)
            if (files[i].isDirectory()) folders.add(files[i]);
        return folders;
    }
    
    public Object getRoot() {
        return new File("C:\\");
    }

    public Object getChild(Object parent, int index) {
        File par=(File)parent;
        ArrayList<File> folders=getFolders(par.listFiles());        
        return folders.get(index);
    }

    public int getChildCount(Object parent) {
        File par=(File)parent;
        ArrayList<File> folders=getFolders(par.listFiles());
        return folders.size();
    }

    public boolean isLeaf(Object node) {
        return false;
    }

    public int getIndexOfChild(Object parent, Object child) {
        File par=(File)parent;
        ArrayList<File> folders=getFolders(par.listFiles());
        int vrat=-1;
        for (int i=0;i<folders.size();i++)
            if (folders.get(i).equals(child)) vrat=i;
        
        return vrat;
    }
}
